/*	@(#)22  1.1  include/protcmd.h, seccmd, sco_3.0, 301FCS 8/25/93 10:42:58, SecureWare, Inc. */
 
#ifndef __PROTCMD__
#define __PROTCMD__

/*
 * Copyright (c) 1988-1991 SecureWare, Inc.  All rights reserved.
 *
 * This Module contains Proprietary Information of SecureWare, Inc.
 * and should be treated as Confidential.
 *
 * @(#)protcmd.h	3.4.1.1 14:49:30 3/5/93 SecureWare
 *
 * Based on:
 *	OSF tree 5.1
 *	PMS tree 2.5
 */

/*
 * Definitions for security-relevant routines of enhanced UNIX commands
 * that must be protected.
 */

#include <sys/secdefines.h>

#if SEC_BASE

#define AT_SEC_WRITEMODE	0220	/* Secure mode for creating files */
#define AT_SEC_ATMODE		06040	/* Secure mode for using files */
#define CRONTAB_SEC_CRMODE	0440	/* Secure mode for creating crontabs. */
#define	INIT_DATA_FILE_MODE	0600
#define LOGIN_PROGRAM		"/tcb/lib/login"
#define PASSWD_PROGRAM		"/tcb/bin/passwd"
#define INITCOND_PROGRAM	"/tcb/lib/initcond"
#define	DEV_LEADER		"/dev/"
#define	INIT_INITTAB_LOCATION	"/tcb/files/inittab"
#define	INIT_SU_LOCATION	"/tcb/bin/su"

#if SEC_MAC || SEC_ILB
#define	LP_LABEL_PREFIX		'L'
#define	LP_FILTER_PREFIX	'f'
#endif

#endif /* SEC_BASE */
#endif /* __PROTCMD__ */
